ChangeSet 1.1043.1.10, 2003/02/16 09:41:02-08:00, duncan.sands@math.u-psud.fr

[PATCH] USB speedtouch: Missing speedtouch bits

Let's not forget to update the ATM transmission statistics!  And
let's not pretend to support AAL0 when we don't.


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Tue Feb 18 16:41:09 2003
+++ b/drivers/usb/misc/speedtouch.c	Tue Feb 18 16:41:09 2003
@@ -610,6 +610,9 @@
 		else
 			kfree_skb (skb);
 		instance->current_skb = NULL;
+
+		if (vcc->stats)
+			atomic_inc (&vcc->stats->tx);
 	}
 
 	goto made_progress;
@@ -732,14 +735,6 @@
 				instance->usb_dev->bus->bus_name, instance->usb_dev->devpath,
 				atm_dev->esi[0], atm_dev->esi[1], atm_dev->esi[2],
 				atm_dev->esi[3], atm_dev->esi[4], atm_dev->esi[5]);
-
-	if (!left--)
-		return sprintf (page, "AAL0: tx %d ( %d err ), rx %d ( %d err, %d drop )\n",
-				atomic_read (&atm_dev->stats.aal0.tx),
-				atomic_read (&atm_dev->stats.aal0.tx_err),
-				atomic_read (&atm_dev->stats.aal0.rx),
-				atomic_read (&atm_dev->stats.aal0.rx_err),
-				atomic_read (&atm_dev->stats.aal0.rx_drop));
 
 	if (!left--)
 		return sprintf (page, "AAL5: tx %d ( %d err ), rx %d ( %d err, %d drop )\n",
